G_IntList(3)

NAME - G_IntList
functions for glists which abuse the data pointer for integers

HEADER REQUIRED
#include <gtk--/base.h&gt;>

PUBLIC MEMBER INDEX
    G_IntList();
    G_IntList(GList *l);
    ~G_IntList();
    G_IntList*  append(gint mydata);
    G_IntList*  prepend(gint mydata);
    G_IntList*  insert(gint mydata, gint myposition);
    G_IntList*  concat(G_IntList &list2);
    G_IntList*  remove(gint mydata);
    G_IntList*  remove_link(G_IntList &mylink);
    G_IntList*  reverse();
    G_IntList*  nth(guint n);
    gint  nth_data(guint n);
    gint  data();
    G_IntList*  find(gint mydata);
    gint  position(G_IntList &mylink);
    gint  index_of(gint mydata);
    G_IntList*  next();
    G_IntList*  prev();
    G_IntList*  first();
    G_IntList*  last();
    guint  length();
    void  foreach(GFunc func, gpointer user_data);
    G_IntList*  insert_sorted(gint mydata, GCompareFunc func);
    GList*  glist() const;
    iterator  begin();
    iterator  end();

PRIVATE MEMBER INDEX
    typedef G_IntList_Iterator  iterator;
    GList * list;
    G_IntList( const G_IntList&);

PUBLIC MEMBER DESCRIPTIONS

PRIVATE MEMBER DESCRIPTIONS